{% from tpldir+"/map.jinja" import nginx with context %}
{% set profiles = salt.pillar.get("nginx.profiles", []) %}

nginx_pkg:
  pkg.installed:
    - pkgs:
      - nginx

nginx_service:
  service.running:
    - name: nginx
    - running: True
    - require:
      - nginx_pkg

{% for profile in profiles %}
{% endfor %}
